#ifndef XAUDIOXMALOOPREGION_H
#define XAUDIOXMALOOPREGION_H

#include "xasset.h"

class XAudioXmaLoopRegion : public XAsset
{
public:
    XAudioXmaLoopRegion();
    ~XAudioXmaLoopRegion();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    quint32 mLoopStart;
    quint32 mLoopEnd;
    quint8 mLoopSubframeEnd;
    quint8 mLoopSubframeSkip;
};

#endif // XAUDIOXMALOOPREGION_H
